Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.component.html
Class HtmlActionParameter

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIParameter
                  org.ajax4jsf.component.UIActionParameter
                      org.ajax4jsf.component.html.HtmlActionParameter

All Implemented Interfaces:
  java.util.EventListener, javax.faces.component.StateHolder, javax.faces.event.ActionListener, javax.faces.event.FacesListener, org.ajax4jsf.component.JavaScriptParameter

    public class HtmlActionParameter

extends UIActionParameter

Component-Type org.ajax4jsf.ActionParameter Component-Family javax.faces.Parameter A combination of the functionality of two JSF tags, &lt;f:actionListener&gt; and &lt;f:param&gt;. At the render phase, it's decoded by parent component (&lt;h:commandLink&gt; or like) as usual. At the process request phase, if the parent component performs an action event, update the value specified in the "assignTo" attribute as its value. If a converter attribute is specified, use it to encode and decode the value to a string stored in the html parameter.

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Constructor Summary
`HtmlActionParameter()` Constructor to init default renderers

Method Summary
`java.lang.String` | `getFamily()`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`

Methods inherited from class org.ajax4jsf.component.UIActionParameter
`getAssignToBinding, getConverter, getName, getValue, isNoEscape, processAction, setAssignToBinding, setConverter, setNoEscape`

Methods inherited from class javax.faces.component.UIParameter
`setName, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlActionParameter

    public HtmlActionParameter()

  Constructor to init default renderers

Method Detail

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIParameter`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `UIActionParameter`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `UIActionParameter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.